dpkg-trigger(1)

NOM
dpkg-trigger - un utilitaire pour activer les actions différées de paquets

SYNOPSIS
dpkg-trigger [option...] nom-action-différée
dpkg-trigger [option...] commande

DESCRIPTION
dpkg-trigger est un outil pour activer explicitement les actions différées et pour vérifier leur support dans le fonctionnement de dpkg.

This can be used by maintainer scripts in complex and conditional situations where the file triggers, or the declarative activate triggers control file directive, are insufficiently rich. It can also be used for testing and by system administrators (but note that the triggers won't actually be run by dpkg-trigger).

Unrecognised trigger name syntaxes are an error for dpkg-trigger.

COMMANDES

--check-supported
    Check if the running dpkg supports triggers (usually called from a postinst). Will exit 0 if a triggers-capable dpkg has run, or 1 with an error message to stderr if not. Normally, however, it is better just to activate the desired trigger with dpkg-trigger.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

--license, --licence
    Affiche des renseignements sur le copyright et la licence, puis quitte.

OPTIONS

--admindir=dir
    Change l'endroit où se trouve la base de données de dpkg. Par défaut, c'est /var/lib/dpkg.

--by-package=paquet
    Override trigger awaiter (normally set by dpkg through the DPKG_MAINTSCRIPT_PACKAGE environment variable of the maintainer scripts, naming the package to which the script belongs, and this will be used by default).

--no-await
    Cette option fait en sorte que le paquet appelant T (s'il existe) n'a pas besoin d'attendre l'exécution de cette action différée ; I, le(s) paquet(s) associé(s) à l'action différée, ne sera pas ajouté à liste des paquets dont le traitement des actions différées est attendu par T et l'état de T reste inchangé. T peut être considéré installé même si les actions différées de I n'ont pas encore été exécutées.

--no-act
    Teste uniquement, n'apporte aucun changement.

VOIR AUSSI
dpkg(1), deb-triggers(5), /usr/share/doc/dpkg/triggers.txt.gz.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.